# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/MethodMaker.pm) perl(Code/Perl/Expr.pm) perl(Code/Perl/Expr/Base.pm) perl(Code/Perl/Test/Expr.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Parse/RecDescent.pm) perl(Petal.pm) perl(Petal/CodeGenerator.pm) perl(Scalar/Util.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Petal-CodePerl
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Make Petal go faster by compiling the expressions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FD/FDALY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a CodeGenerator for the Petal manpage that inherits almost.everything from the Petal::CodeGenerator manpage but modifies how expressions are
dealt with. Petal normally includes code like this

  $hash->get( "not:user" )

in the compiled template. This means the path has to be parsed and
interpreted at runtime. Using Petal::CodePerl, Petal will now produce this

  ! ($hash->{"user"})

which will be much faster.

It uses the Parse::RecDescent manpage to parse the PETALES expressions which makes it
a bit slow to load the module but this won't matter much unless you have
turned off caching. It won't matter at all for something like Apache's
mod_perl.

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README TODO CHANGES
%perl_vendor_privlib/P*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

